> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Services



## OpenAPI

````yaml get /admin/services/list
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/services/list:
    get:
      tags:
        - provider
        - admin
      summary: List Services
      operationId: list_services_admin_services_list_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ServiceTable'
                type: array
                title: Response List Services Admin Services List Get
components:
  schemas:
    ServiceTable:
      properties:
        id:
          type: string
          title: Id
        duration:
          type: integer
          title: Duration
        name:
          type: string
          title: Name
        locationIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Locationids
        color:
          type: string
          title: Color
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        price:
          anyOf:
            - type: integer
            - type: 'null'
          title: Price
        displayPrice:
          anyOf:
            - type: integer
            - type: 'null'
          title: Displayprice
        costOfService:
          type: integer
          title: Costofservice
          default: 0
        estimated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Estimated
          default: false
        bookingFee:
          type: integer
          title: Bookingfee
        bookingFeeText:
          anyOf:
            - type: string
            - type: 'null'
          title: Bookingfeetext
        reminderDaysBefore:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reminderdaysbefore
          default: 1
        cancellationCost:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cancellationcost
          default: 0
        hoursBeforeCancellingCosts:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hoursbeforecancellingcosts
          default: 0
        bookingFeePercentage:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bookingfeepercentage
        cancellationFeePctWithin24h:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cancellationfeepctwithin24H
        cancellationFeePctWithin48h:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cancellationfeepctwithin48H
        refundBookingFeeBefore48h:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Refundbookingfeebefore48H
          default: false
        hoursBeforeBookingFeeRefundable:
          anyOf:
            - type: integer
            - type: 'null'
          title: Hoursbeforebookingfeerefundable
        followUpDaysAfter:
          anyOf:
            - type: integer
            - type: 'null'
          title: Followupdaysafter
          default: 0
        followUpSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Followupsmstemplate
        providerIds:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Providerids
        forms:
          anyOf:
            - items:
                $ref: '#/components/schemas/FormTiny'
              type: array
            - type: 'null'
          title: Forms
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        confirmationSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Confirmationsmstemplate
        cancellationSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Cancellationsmstemplate
        noShowSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Noshowsmstemplate
        overrideNoticeSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Overridenoticesmstemplate
        reminderSmsTemplate:
          anyOf:
            - type: string
            - type: 'null'
          title: Remindersmstemplate
        selfSchedulingBufferTime:
          anyOf:
            - type: integer
            - type: 'null'
          title: Selfschedulingbuffertime
        visibility:
          $ref: '#/components/schemas/ServiceVisibilityType'
          default: ALL
        minutesBeforeRebookingAllowed:
          anyOf:
            - type: integer
            - type: 'null'
          title: Minutesbeforerebookingallowed
        allowIndividualProviderBooking:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allowindividualproviderbooking
        displayOrder:
          anyOf:
            - type: integer
            - type: 'null'
          title: Displayorder
          default: 0
        reservedTimeMinutes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Reservedtimeminutes
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
        isDoubleBookable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isdoublebookable
          default: true
        isPopular:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ispopular
          default: false
        creditCardRequired:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Creditcardrequired
          default: false
        collectCreditCard:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Collectcreditcard
          default: false
        autoGfeTreatments:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Autogfetreatments
        brandName:
          anyOf:
            - type: string
            - type: 'null'
          title: Brandname
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
        internalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalnotes
        sortOrder:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sortorder
        taxable:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Taxable
          default: false
        allowCustomPricing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Allowcustompricing
          default: false
        numBookings:
          type: integer
          title: Numbookings
      type: object
      required:
        - id
        - duration
        - name
        - color
        - bookingFee
        - numBookings
      title: ServiceTable
    FormTiny:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        pathName:
          type: string
          title: Pathname
      type: object
      required:
        - id
        - name
        - pathName
      title: FormTiny
    ServiceVisibilityType:
      type: string
      enum:
        - ALL
        - NEW
        - EXISTING
        - 'NO'
      title: ServiceVisibilityType
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit

````